// CCapeWarning.h: interface for the warning class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(__CCAPEWARNING_H__)
#define __CCAPEWARNING_H__

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include <string>
#include "CCapeUser.h"
#include "stdafx.h"

namespace R2PException{
	/// <summary>Exception handling class: The error to be raised when other error(s), specified by the operation, do not suit</summary> 
	class CCapeWarning: public CCapeUser
	{
	public:
		/// <summary>Constructor</summary>
		/// <param name="hr">warning code</param>
		/// <remarks>warning code has no meaning at that moment</remarks>
		CCapeWarning(HRESULT hr = 0);

		/// <summary>Destructor</summary>
		~CCapeWarning();
	};
}
#endif
