// RegisterInformation.cpp: implementation of the CRegisterInformation class.
//
//////////////////////////////////////////////////////////////////////
//#include "stdafx.h"
#include "CRegisterInformation.h"


/****************************************************************************************************************************
*
*
****************************************************************************************************************************/
void CRegisterInformation::getPath2PipeDTD(std::wstring& outRes){
	getRegistry(outRes, _T("Software\\IFP\\R2P\\Installation"), _T("PipeModXMLPath"), REG_DWORD);
}
/****************************************************************************************************************************
*
*
****************************************************************************************************************************/
void CRegisterInformation::getPath2HydroDTD(std::wstring& outRes){
	getRegistry(outRes, _T("Software\\IFP\\R2P\\Installation"), _T("HydroModXMLPath"), REG_DWORD);
}
/****************************************************************************************************************************
*
*
****************************************************************************************************************************/
void CRegisterInformation::getPath2IPDTD(std::wstring& outRes){
	getRegistry(outRes, _T("Software\\IFP\\R2P\\Installation"), _T("IPModXMLPath"), REG_DWORD);
}
/****************************************************************************************************************************
*
*
****************************************************************************************************************************/
void CRegisterInformation::getHydroXML(std::wstring& wsXMLDir_out)
{
	//getRegistry(wsTrDir_out, _T("Software\\IFP\\R2P\\Hydro"), _T("XMLConfig"), REG_DWORD);
	getRegistry(wsXMLDir_out, _T("Software\\IFP\\R2P\\Hydro"), _T("XMLConfig"), REG_DWORD);
}
/****************************************************************************************************************************
*
*
****************************************************************************************************************************/
void CRegisterInformation::getTraceDirectory(std::wstring& wsTrDir_out)
{
	getRegistry(wsTrDir_out, _T("Software\\IFP\\R2P\\Divers"), _T("TempDirectory"), REG_DWORD);
}
/****************************************************************************************************************************
*
*
****************************************************************************************************************************/
void CRegisterInformation::getTraceMode(std::wstring& wsTrMode_out)
{
	getRegistry(wsTrMode_out, _T("Software\\IFP\\R2P\\Divers"), _T("Trace"), REG_SZ);
}
/****************************************************************************************************************************
*
*
****************************************************************************************************************************/
void CRegisterInformation::getOlgaPath(std::wstring& wsDirectory_out)
{
	getRegistry(wsDirectory_out, _T("Software\\IFP\\R2P\\Hydro"), _T("OlgaPath"), REG_SZ);
}
/****************************************************************************************************************************
*
*
****************************************************************************************************************************/
void CRegisterInformation::getInitialisationMode(std::wstring& wsInitMode_out)
{
	getRegistry(wsInitMode_out, _T("Software\\IFP\\R2P\\Divers"), _T("Initialisation"), REG_SZ);
}
/****************************************************************************************************************************
*
*
****************************************************************************************************************************/
void CRegisterInformation::getLiquidPhaseName(std::wstring& wsLiquidPhase)
{
	getRegistry(wsLiquidPhase, _T("Software\\IFP\\R2P\\Thermo"), _T("LiquidPhaseName"), REG_SZ);
}
/****************************************************************************************************************************
*
*
****************************************************************************************************************************/
void CRegisterInformation::getVaporPhaseName(std::wstring& wsVaporPhase)
{
	getRegistry(wsVaporPhase, _T("Software\\IFP\\R2P\\Thermo"), _T("VaporPhaseName"), REG_SZ);
}
/****************************************************************************************************************************
*
*
****************************************************************************************************************************/
void CRegisterInformation::getWaterPhaseName(std::wstring& wsWaterPhase)
{
	getRegistry(wsWaterPhase, _T("Software\\IFP\\R2P\\Thermo"), _T("WaterPhaseName"), REG_SZ);
}
/****************************************************************************************************************************
*
*
****************************************************************************************************************************/
void CRegisterInformation::getTestWaterMixtureFileName(std::wstring& wsTestWaterMixture)
{
	getRegistry(wsTestWaterMixture, _T("Software\\IFP\\R2P\\Thermo"), _T("TestWater"), REG_SZ);
}
/****************************************************************************************************************************
*
*
****************************************************************************************************************************/
void CRegisterInformation::getMixtureFileName(std::wstring& wsMixtureFile)
{
	getRegistry(wsMixtureFile, _T("Software\\IFP\\R2P\\Thermo"), _T("fileName"), REG_SZ);
}
/****************************************************************************************************************************
*
*
****************************************************************************************************************************/
void CRegisterInformation::getTestMixtureFileName(std::wstring& wsTestMixtureFile)
{
	getRegistry(wsTestMixtureFile, _T("Software\\IFP\\R2P\\Thermo"), _T("TestfileName"), REG_SZ);
}
/****************************************************************************************************************************
*
*
****************************************************************************************************************************/
void CRegisterInformation::getHPipeFileName(std::wstring& wsHPipeFile)
{
	getRegistry(wsHPipeFile, _T("Software\\IFP\\R2P\\Unit"), _T("HPipeFileName"), REG_SZ);
}
/****************************************************************************************************************************
*
*
****************************************************************************************************************************/
void CRegisterInformation::getVPipeFileName(std::wstring& wsVPipeFile)
{
	getRegistry(wsVPipeFile, _T("Software\\IFP\\R2P\\Unit"), _T("VPipeFileName"), REG_SZ);
}
/****************************************************************************************************************************
*
*
****************************************************************************************************************************/
void CRegisterInformation::getLicenseDirectory(std::wstring& wsLicenseDir)
{
	getRegistry(wsLicenseDir, _T("Software\\IFP\\R2P\\License"), _T("LicenseDir"), REG_SZ);
}
/****************************************************************************************************************************
*
*
****************************************************************************************************************************/
void CRegisterInformation::getTestDataDirectory(std::wstring& wsDataDir)
{
	getRegistry(wsDataDir, _T("Software\\IFP\\R2P\\Tests"), _T("TestDataDirectory"), REG_SZ);
}
/****************************************************************************************************************************
*
*
****************************************************************************************************************************/
void CRegisterInformation::getThermoDirectory(std::wstring& wsThermoDir)
{
	getRegistry(wsThermoDir, _T("Software\\IFP\\R2P\\Tests"), _T("ThermoDirectory"), REG_SZ);
}
/****************************************************************************************************************************
*
*
****************************************************************************************************************************/
void CRegisterInformation::getWorkingDirectory(std::wstring& wsWorkingDir)
{
	getRegistry(wsWorkingDir, _T("Software\\RSI\\INDISS\\OPTIONS"), _T("Working Directory"), REG_SZ);
}
